<?php

namespace Drupal\pdf_slideshow\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\pdf_slideshow\Manager\PdfSlideshowImageManager;

/**
 * Class ListController.
 */
class ListController extends ControllerBase {

  /**
   * @var \Drupal\pdf_slideshow\Manager\PdfSlideshowImageManager
   */
  protected $pdfSlideshowImageManager;

  /**
   * ListController constructor.
   *
   * @param $pdfSlideshowImageManager
   */
  public function __construct(PdfSlideshowImageManager $pdfSlideshowImageManager
  ) {
    $this->pdfSlideshowImageManager = $pdfSlideshowImageManager;
  }

  /**
   * List.
   *
   * @return array
   * @throws \Drupal\Component\Plugin\Exception\InvalidPluginDefinitionException
   * @throws \Drupal\Component\Plugin\Exception\PluginNotFoundException
   */
  public function list() {
    $list = $this->pdfSlideshowImageManager->getAllList();
    return [
      '#theme' => 'pdf_list',
      '#items' => $list,
    ];
  }

}
